Bug 328951 - Review Request: kacst-fonts - Fonts for arabic from arabeyes project
Review Request: kacst-fonts - Fonts for arabic from arabeyes project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 00:40 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 03:56:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Bhalerao 2007-10-12 00:40:21 EDT
Spec URL: <http://rbhalera.fedorapeople.org/kacst-fonts/kacst-fonts.spec>
SRPM URL: <http://rbhalera.fedorapeople.org/kacst-fonts/kacst-fonts-1.6.2-1.fc8.src.rpm>
Description:  This package contains fonts for the display of Arabic from the King Abdulaziz City for Science & Technology(kacst).
Comment 1 Parag AN(पराग) 2007-10-15 07:54:21 EDT
rpmlint on rpm gave me 
kacst-fonts.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/kacst-fonts-1.6.2/LICENSE.TXT

Add following in SPEC
BuildRequires: dos2unix
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;
Comment 3 Parag AN(पराग) 2007-10-15 08:13:08 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3f914b65dc4e0cc7b30e1d6b263f1d16  kacst_fonts_1.6.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
Comment 4 Rahul Bhalerao 2007-10-15 08:24:59 EDT
New Package CVS Request
=======================
Package Name: kacst-fonts
Short Description: Fonts for arabic from arabeyes project
Owners: rbhalera
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-10-15 11:41:34 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.